mac下安装php-memcached提示configure: error: memcache support requires ZLIB. Use –with-zlib-dir= to specify prefix where ZLIB解决办法

 

checking for the location of zlib... configure: error: memcache supportrequires ZLIB. Use --with-zlib-dir= to specify prefix where ZLIB 

brew install zlib
brew link --force zlib

默认用brew 安装zlib提示有可能会跟系统的zlib库冲突,没有吧zlib库link到系统目录
重新安装xcode,然并卵

xcode-select --installbrew install php{xx}-memcache